| Home | Libraries | People | FAQ | More

## Struct template unexpr

boost::proto::unexpr — Lets you inherit the interface of an expression while hiding from Proto the fact that the type is a Proto expression.

## Synopsis

    // In header: <boost/proto/expr.hpp>

    template<typename Expr>
    struct unexpr :  Expr {
      // construct/copy/destruct
      unexpr(Expr const &);
    };

## Description

For an expression type `E`, `proto::is_expr<E>::value` is `true`, but `proto::is_expr<proto::unexpr<E> >::value` is `false`.

### `unexpr` public construct/copy/destruct

1.     unexpr(Expr const & expr);